Subject: Re: tzset et al
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Date: Thu, 14 Oct 2004 13:17:08 +0200

Corinna wrote:

> On Oct 14 11:50, Gerrit P. Haase wrote:
>> Hello,
>> 
>> it is a mess...
>> 
>> Whatever happend after this thread,
>> http://www.cygwin.com/ml/cygwin-patches/2001-q1/msg00248.html
>> it was not the result that it is working now, the simple testcase Robert
>> provided still (or again) doesn't work.  Even if I use _tzname instead
>> of tzname it prints out nothing.
>> 
>> What can I do?  It is annoying to get an error everytime a package uses
>> timezone or tzname or related.

> Hmm, I just tried Robert's test program on a DLL from current CVS:

> $ ./tzset.exe 
> std:WEST
> dst:WEDT

> and it works regardless if $TZ is set or not.  Could you debug this further?

No, I have no idea, it just don't work for me.

cygwin version: 1.5.10(0.116/4/2)

(gdb) break main
Breakpoint 1 at 0x40107e: file tztest.c, line 6.
(gdb) s
The program is not being run.
(gdb) run
Starting program: /tzset/tzset.exe 

Breakpoint 1, main () at tztest.c:6
6         tzset();
(gdb) s
7         printf("std:%s\ndst:%s\n",tzname[0],tzname[1]);
(gdb) 
8         return 0;
(gdb) 
9       }
(gdb) 
0x61005f54 in getprogname () from /usr/bin/cygwin1.dll
(gdb) 
Single stepping until exit from function getprogname, 
which has no line number information.
0x610d6cd0 in wmemset () from /usr/bin/cygwin1.dll
(gdb) 
Single stepping until exit from function wmemset, 
which has no line number information.
0x61004670 in getprogname () from /usr/bin/cygwin1.dll
(gdb) 
Single stepping until exit from function getprogname, 
which has no line number information.
0x610d6d5a in wmemset () from /usr/bin/cygwin1.dll
(gdb) 
Single stepping until exit from function wmemset, 
which has no line number information.
0x6101c530 in dlerror () from /usr/bin/cygwin1.dll
(gdb) 
Single stepping until exit from function dlerror, 
which has no line number information.
0x610d6d5a in wmemset () from /usr/bin/cygwin1.dll
(gdb) 
Single stepping until exit from function wmemset, 
which has no line number information.
0x610a3cd0 in cygwin1!__getreent () from /usr/bin/cygwin1.dll
(gdb) 
Single stepping until exit from function cygwin1!__getreent, 
which has no line number information.
0x610f08f0 in cygwin1!_alloca () from /usr/bin/cygwin1.dll
(gdb) 
Single stepping until exit from function cygwin1!_alloca, 
which has no line number information.
std:   
dst:   

Program exited normally.
(gdb) 

-- 
=^..^=                                     http://nyckelpiga.de/donate.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/